Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Java Development

Reply
Developer
Mudassir
Posts: 209
Registered: ‎11-08-2008
My Device: Not Specified

blackberry support JSAPI 2.0

[ Edited ]

Hi all,

 

Do Blackberry phones support JSAPI 2.0 ?

I have read in the article that J2ME 3.0 support JSAPI 2.0.

But not sure about blackberry ? Plz help me i need to use it.

Thanks and Regards
Please use plain text.
Developer
ibarrera
Posts: 588
Registered: ‎05-29-2009
My Device: 9100

Re: blackberry support JSAPI 2.0

I am also very interested in this topic.

 

I think it's supported but since there is no J2ME implementation for this JSAPI 2.0 it's not possible to use it. I don't know if I am wrong. Maybe someone can help us.

Please use plain text.
Developer
rcmaniac25
Posts: 1,804
Registered: ‎04-28-2009
My Device: Z10 (STL100-4)-10.2.1.2174, Z10 (STL100-3)-10.3.0.700 Dev OS, Z30 (STA100-5)-10.3.0.700 Dev OS, PlayBook (16GB)-2.1.0.1917
My Carrier: Verizon

Re: blackberry support JSAPI 2.0

Every once and a while when a new JDE/eJDE/Component Pack is released JSAPI shows up. It is never documented and no "real" BlackBerrys have the COD file that supports it.

 

RIM helped develop J2ME 3.0 so if JSAPI support is part of 3.0 then it is only a matter of time.

 

For the time being, no it is not supported.

---Spends time in #blackberrydev on freenode (IRC)----
Three simple rules:
1. Please use the search bar before making new posts.
2. "Like" posts that you find helpful.
3. If a solution has been found for your post, mark it as solved.
--I code too much. Well, too bad.
Please use plain text.